LINUX.ORG.RU

[slax 6.0.9] hal не работает если загрузка идёт с usb брелка


0

0

Здравствуйте! Пытаюсь расшевелить труп. Достал из полки пылящийся диск со slax, записал его на флэшку. Загрузился с флэшки. Находясь в запущенных кедах, вставляю какую-нибудь другую флэшку/диск, и при монтировании, konqueror выдаёт ошибку «Для этой функции требуется библиотека hal». Смотрю hal'а нет в списке активных процессов, запускаю руками:
/usr/sbin/hald --daemon=no --use-syslog --retain-privileges

Запустился норм, пытаюсь опять вставить флэшку - та же проблема. При этом, если загрузить слакс с диска, то никаких подобных проблем нет!

У кого-нибудь бывали похожие проблемы? Как лечить? kde 3.5.10.

Или посоветуйте другой дистрибутив который так же быстро может запускаться с флэшки как Slax, имеет желательно модульную архитектуру как у Slax, и рабочий стол кде, желательно по умолчанию. И конечно же не имеет такого глюка с hal'ом. И не имеет никаких проблем с кириллицей!
... надеюсь такие вообще существуют.

P.S Дистрибутив линукса нужен не мне, а знакомому, который плохо разбирается в линуксах, и тем не менее ему нужен линукс (наверное чтобы загружаться когда винда слетела;)

> чтобы загружаться когда винда слетела;)
PuppyRus? Не KDE, но быстрый и нетребовательный. Офсайт: http://www.puppyrus.org/

Опять же, стоило бы обновить свой Slax (скачать новый с http://slax.org/).

AITap ★★★★★ ()

Каким образом на флешку записывал? Файлы битые?

emaxx ★★ ()

Проблема найдена!

У меня в slax/modules содержался модуль google-chrome (http://www.slax.org/modules.php?action=detail&id=3692). Когда я его убрал, проблема с hal'ом была решена.

Судя по всему, данный модуль содержал какие-то конфликтные для hal'а библиотеки...

# lzm2dir google-chrome-5.0.342.7beta.lzm google-chrome-5.0.342.7beta
# cd google-chrome-5.0.342.7beta
# ls -l usr/lib
total 3920
-rwxr-xr-x 1 root root  199776 2009-10-06 04:48 libfreebl3.so
-rw-r--r-- 1 root root  200484 2010-03-10 01:26 libgconf-2.so.4
-rw-r--r-- 1 root root  200484 2010-03-10 01:26 libgconf-2.so.4.1.2
-rwxr-xr-x 1 root root  770722 2010-03-09 21:31 libnspr4.so
lrwxrwxrwx 1 root root      11 2010-04-14 01:35 libnspr4.so.0d -> libnspr4.so
-rwxr-xr-x 1 root root 1068716 2009-10-06 04:48 libnss3.so
lrwxrwxrwx 1 root root      10 2010-04-14 01:35 libnss3.so.1d -> libnss3.so
-rwxr-xr-x 1 root root  351616 2009-10-06 04:48 libnssckbi.so
-rwxr-xr-x 1 root root   84960 2009-10-06 04:48 libnssutil3.so
lrwxrwxrwx 1 root root      14 2010-04-14 01:35 libnssutil3.so.1d -> libnssutil3.so
lrwxrwxrwx 1 root root      19 2010-04-14 01:35 libORBit-2.so.0 -> libORBit-2.so.0.1.0
-rw-r--r-- 1 root root  336860 2008-03-17 02:04 libORBit-2.so.0.1.0
-rwxr-xr-x 1 root root   46267 2010-03-09 21:31 libplc4.so
lrwxrwxrwx 1 root root      10 2010-04-14 01:35 libplc4.so.0d -> libplc4.so
-rwxr-xr-x 1 root root   27229 2010-03-09 21:31 libplds4.so
lrwxrwxrwx 1 root root      11 2010-04-14 01:35 libplds4.so.0d -> libplds4.so
-rwxr-xr-x 1 root root  140424 2009-10-06 04:48 libsmime3.so
lrwxrwxrwx 1 root root      12 2010-04-14 01:35 libsmime3.so.1d -> libsmime3.so
-rwxr-xr-x 1 root root  299028 2009-10-06 04:48 libsoftokn3.so
-rwxr-xr-x 1 root root  174648 2009-10-06 04:48 libssl3.so
drwxr-xr-x 3 root root      60 2010-04-02 12:49 nss
anterior ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.